- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# InvincibleCommand Class Reference

`#include <Command.h>`

Inheritance diagram for InvincibleCommand:

List of all members.

## Public Member Functions
| InvincibleCommand (Person *person, bool inv)
| InvincibleCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
std::string | _person
bool | _inv
## Static Private Attributes
static const std::string | _id = "invincible"

## Detailed Description

Definition at line 514 of file Command.h.

## Constructor & Destructor Documentation

InvincibleCommand::InvincibleCommand | ( | Person * | person,
|  | bool | inv
| ) |

| Definition at line 12 of file InvincibleCommand.cpp.

InvincibleCommand::InvincibleCommand | ( | List * | command | ) |

| Definition at line 17 of file InvincibleCommand.cpp. References _inv, _person, List::firstString(), and List::rest().

## Member Function Documentation

void InvincibleCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 28 of file InvincibleCommand.cpp. References _inv, _person, Level::getObject(), and Level::instance().

std::string InvincibleCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 33 of file InvincibleCommand.cpp. References _id, _inv, _person, List::getString(), and List::snoc().

static std::string InvincibleCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 522 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

const string InvincibleCommand::_id = "invincible"`[static, private]`

| Definition at line 527 of file Command.h. Referenced by getString(), and id().

bool InvincibleCommand::_inv`[private]`

| Definition at line 525 of file Command.h. Referenced by execute(), getString(), and InvincibleCommand().

std::string InvincibleCommand::_person`[private]`

| Definition at line 524 of file Command.h. Referenced by execute(), getString(), and InvincibleCommand().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/InvincibleCommand.cpp